gstreamermm: Gst::CdParanoiaSrc Class Reference

gstreamermm 0.10.10.2

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::CdParanoiaSrc Class Reference
gstreamermm Plugins

A Wrapper for the cdparanoiasrc plugin. More...

Inheritance diagram for Gst::CdParanoiaSrc:
[legend]
Collaboration diagram for Gst::CdParanoiaSrc:
[legend]

List of all members.

## Public Member Functions
virtual | ~CdParanoiaSrc ()
GstCdParanoiaSrc* | gobj ()
| Provides access to the underlying C GObject.
const GstCdParanoiaSrc* | gobj () const
| Provides access to the underlying C GObject.
GstCdParanoiaSrc* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy< int > | property_read_speed ()
| Read from device at specified speed.
Glib::PropertyProxy_ReadOnly< int > | property_read_speed () const
| Read from device at specified speed.
Glib::PropertyProxy < Gst::CdParanoiaMode > | property_paranoia_mode ()
| Type of checking to perform.
Glib::PropertyProxy_ReadOnly < Gst::CdParanoiaMode > | property_paranoia_mode () const
| Type of checking to perform.
Glib::PropertyProxy< int > | property_search_overlap ()
| Force minimum overlap search during verification to n sectors.
Glib::PropertyProxy_ReadOnly< int > | property_search_overlap () const
| Force minimum overlap search during verification to n sectors.
Glib::PropertyProxy < Glib::ustring > | property_generic_device ()
| Use specified generic scsi device.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_generic_device () const
| Use specified generic scsi device.
Glib::PropertyProxy< int > | property_cache_size ()
| Set CD cache size to n sectors (-1 = auto).
Glib::PropertyProxy_ReadOnly< int > | property_cache_size () const
| Set CD cache size to n sectors (-1 = auto).
Glib::SignalProxy1< void, int > | signal_transport_error ()
Glib::SignalProxy1< void, int > | signal_uncorrected_error ()
## Static Public Member Functions
static Glib::RefPtr < CdParanoiaSrc > | create ()
| Creates a new cdparanoiasrc plugin with a unique name.
static Glib::RefPtr < CdParanoiaSrc > | create (const Glib::ustring& name)
| Creates a new cdparanoiasrc plugin with the given name.
## Protected Member Functions
| CdParanoiaSrc ()
| CdParanoiaSrc (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::CdParanoiaSrc > | wrap (GstCdParanoiaSrc* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the cdparanoiasrc plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::CdParanoiaSrc::~CdParanoiaSrc | ( |  | ) | `[virtual]`

Gst::CdParanoiaSrc::CdParanoiaSrc | ( |  | ) | `[protected]`

Gst::CdParanoiaSrc::CdParanoiaSrc | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<CdParanoiaSrc> Gst::CdParanoiaSrc::create | ( |  | ) | `[static]`

Creates a new cdparanoiasrc plugin with a unique name.

static Glib::RefPtr<CdParanoiaSrc> Gst::CdParanoiaSrc::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new cdparanoiasrc plugin with the given name.

GstCdParanoiaSrc* Gst::CdParanoiaSrc::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::PushSrc.

const GstCdParanoiaSrc* Gst::CdParanoiaSrc::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::PushSrc.

GstCdParanoiaSrc* Gst::CdParanoiaSrc::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::PushSrc.

Glib::PropertyProxy< int > Gst::CdParanoiaSrc::property_cache_size | ( |  | ) |

Set CD cache size to n sectors (-1 = auto).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::CdParanoiaSrc::property_cache_size | ( |  | ) | const

Set CD cache size to n sectors (-1 = auto).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gst::CdParanoiaSrc::property_generic_device | ( |  | ) |

Use specified generic scsi device.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::CdParanoiaSrc::property_generic_device | ( |  | ) | const

Use specified generic scsi device.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::CdParanoiaMode > Gst::CdParanoiaSrc::property_paranoia_mode | ( |  | ) |

Type of checking to perform.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::CdParanoiaMode > Gst::CdParanoiaSrc::property_paranoia_mode | ( |  | ) | const

Type of checking to perform.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::CdParanoiaSrc::property_read_speed | ( |  | ) |

Read from device at specified speed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::CdParanoiaSrc::property_read_speed | ( |  | ) | const

Read from device at specified speed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::CdParanoiaSrc::property_search_overlap | ( |  | ) |

Force minimum overlap search during verification to n sectors.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::CdParanoiaSrc::property_search_overlap | ( |  | ) | const

Force minimum overlap search during verification to n sectors.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy1< void,int > Gst::CdParanoiaSrc::signal_transport_error | ( |  | ) |

Slot Prototype:
  `void on_my_transport_error(int arg0)`

Glib::SignalProxy1< void,int > Gst::CdParanoiaSrc::signal_uncorrected_error | ( |  | ) |

Slot Prototype:
  `void on_my_uncorrected_error(int arg0)`

## Friends And Related Function Documentation

Glib::RefPtr< Gst::CdParanoiaSrc > wrap | ( | GstCdParanoiaSrc * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/cdparanoiasrc.h